CVE-2021-38160

In drivers/char/virtio_console.c in the Linux kernel before 5.13.4, data corruption or loss can be triggered by an untrusted device that supplies a buf->len value exceeding the buffer size. NOTE: the vendor indicates that the cited data corruption is not a vulnerability in any existing use case; the length validation was added solely for robustness in the face of anomalous host OS behavior
Configurations

Configuration 1 (hide)

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*

Configuration 2 (hide)

AND
cpe:2.3:o:netapp:hci_bootstrap_os:-:*:*:*:*:*:*:*
cpe:2.3:h:netapp:hci_compute_node:-:*:*:*:*:*:*:*

Configuration 3 (hide)

OR cpe:2.3:a:netapp:hci_management_node:-:*:*:*:*:*:*:*
cpe:2.3:a:netapp:solidfire:-:*:*:*:*:*:*:*

Configuration 4 (hide)

AND
cpe:2.3:h:netapp:hci_storage_node:-:*:*:*:*:*:*:*
cpe:2.3:a:netapp:element_software:-:*:*:*:*:*:*:*

Configuration 5 (hide)

OR cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
cpe:2.3:o:redhat:enterprise_linux:8.0:*:*:*:*:*:*:*

History

07 Nov 2023, 03:37

Type Values Removed Values Added
Summary ** DISPUTED ** In drivers/char/virtio_console.c in the Linux kernel before 5.13.4, data corruption or loss can be triggered by an untrusted device that supplies a buf->len value exceeding the buffer size. NOTE: the vendor indicates that the cited data corruption is not a vulnerability in any existing use case; the length validation was added solely for robustness in the face of anomalous host OS behavior. In drivers/char/virtio_console.c in the Linux kernel before 5.13.4, data corruption or loss can be triggered by an untrusted device that supplies a buf->len value exceeding the buffer size. NOTE: the vendor indicates that the cited data corruption is not a vulnerability in any existing use case; the length validation was added solely for robustness in the face of anomalous host OS behavior

01 Jan 2022, 17:58

Type Values Removed Values Added
CPE cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
References (MLIST) https://lists.debian.org/debian-lts-announce/2021/12/msg00012.html - (MLIST) https://lists.debian.org/debian-lts-announce/2021/12/msg00012.html - Mailing List, Third Party Advisory

17 Dec 2021, 01:15

Type Values Removed Values Added
References
  • (MLIST) https://lists.debian.org/debian-lts-announce/2021/12/msg00012.html -

18 Oct 2021, 12:22

Type Values Removed Values Added
References (MLIST) https://lists.debian.org/debian-lts-announce/2021/10/msg00010.html - (MLIST) https://lists.debian.org/debian-lts-announce/2021/10/msg00010.html - Third Party Advisory
References (CONFIRM) https://security.netapp.com/advisory/ntap-20210902-0010/ - (CONFIRM) https://security.netapp.com/advisory/ntap-20210902-0010/ - Third Party Advisory
References (DEBIAN) https://www.debian.org/security/2021/dsa-4978 - (DEBIAN) https://www.debian.org/security/2021/dsa-4978 - Third Party Advisory
References (MISC) https://access.redhat.com/security/cve/cve-2021-38160 - (MISC) https://access.redhat.com/security/cve/cve-2021-38160 - Third Party Advisory
CPE cpe:2.3:o:netapp:hci_bootstrap_os:-:*:*:*:*:*:*:*
cpe:2.3:a:netapp:solidfire:-:*:*:*:*:*:*:*
cpe:2.3:o:redhat:enterprise_linux:8.0:*:*:*:*:*:*:*
cpe:2.3:h:netapp:hci_compute_node:-:*:*:*:*:*:*:*
cpe:2.3:a:netapp:element_software:-:*:*:*:*:*:*:*
cpe:2.3:h:netapp:hci_storage_node:-:*:*:*:*:*:*:*
cpe:2.3:a:netapp:hci_management_node:-:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

16 Oct 2021, 01:15

Type Values Removed Values Added
References
  • (MLIST) https://lists.debian.org/debian-lts-announce/2021/10/msg00010.html -

25 Sep 2021, 15:15

Type Values Removed Values Added
References
  • (DEBIAN) https://www.debian.org/security/2021/dsa-4978 -

02 Sep 2021, 09:15

Type Values Removed Values Added
References
  • (CONFIRM) https://security.netapp.com/advisory/ntap-20210902-0010/ -

25 Aug 2021, 20:15

Type Values Removed Values Added
References
  • (MISC) https://access.redhat.com/security/cve/cve-2021-38160 -
Summary In drivers/char/virtio_console.c in the Linux kernel before 5.13.4, data corruption or loss can be triggered by an untrusted device that supplies a buf->len value exceeding the buffer size. ** DISPUTED ** In drivers/char/virtio_console.c in the Linux kernel before 5.13.4, data corruption or loss can be triggered by an untrusted device that supplies a buf->len value exceeding the buffer size. NOTE: the vendor indicates that the cited data corruption is not a vulnerability in any existing use case; the length validation was added solely for robustness in the face of anomalous host OS behavior.

14 Aug 2021, 16:16

Type Values Removed Values Added
CWE CWE-120
CVSS v2 : unknown
v3 : unknown
v2 : 7.2
v3 : 7.8
CPE cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*
References (MISC) https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.13.4 - (MISC) https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.13.4 - Release Notes, Vendor Advisory
References (MISC) https://github.com/torvalds/linux/commit/d00d8da5869a2608e97cfede094dfc5e11462a46 - (MISC) https://github.com/torvalds/linux/commit/d00d8da5869a2608e97cfede094dfc5e11462a46 - Patch, Third Party Advisory

07 Aug 2021, 04:15

Type Values Removed Values Added
New CVE

Information

Published : 2021-08-07 04:15

Updated : 2024-05-17 01:59


NVD link : CVE-2021-38160

Mitre link : CVE-2021-38160

CVE.ORG link : CVE-2021-38160


JSON object : View

Products Affected

redhat

  • enterprise_linux

netapp

  • hci_storage_node
  • hci_compute_node
  • hci_management_node
  • hci_bootstrap_os
  • solidfire
  • element_software

debian

  • debian_linux

linux

  • linux_kernel
CWE
CWE-120

Buffer Copy without Checking Size of Input ('Classic Buffer Overflow')